# Financial Analysis Scripts

This repository contains a collection of Python scripts for financial analysis. The scripts cover various aspects such as Cointegration Testing, Duration Calculation, and Statistical Features computation.

## Scripts

### CointegrationTest

The `CointegrationTest` script is designed for conducting cointegration tests on financial time series data. Cointegration is a statistical property that allows two or more time series to move together over time. This script provides functionalities for performing cointegration tests and analyzing the results.

### Duration

The `Duration` script focuses on calculating the duration of financial instruments. Duration is a measure of the sensitivity of the price of a bond or other debt instrument to a change in interest rates. This script allows users to compute the duration of financial instruments based on given parameters.

### StatisticalFeatures

The `StatisticalFeatures` script is dedicated to computing various statistical features of financial datasets. This includes measures such as mean, standard deviation, skewness, and kurtosis. These statistical features provide insights into the distribution and characteristics of the data.

## Usage

To use these scripts, follow these general steps:

git clone https://github.com/tonyyang1223/quantscripts.git
cd quantscripts

## Build
setup.py sdist bdist_wheel
twine upload dist/*
